DefaultConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.DefaultConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface DefaultConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface DefaultConstants

Default values used in the UI

Field Summary
`static java.lang.Integer` | `ADDTOLIST_SIZE_DEFAULT` Default size for add to list tables
`static long` | `AVAILABILITY_DEFAULT_TIMEOUT` Availabiity check timeout defaults to 20 seconds
`static int` | `DEFAULT_CHART_POINTS` Default number of data points to show on chart
`static int` | `FILTER_BY_DEFAULT` Default resource type to return
`static java.lang.Integer` | `MAX_PAGES` the maximum nuber of pages(dots) to be rendered
`static java.lang.String` | `NO_FILTER_FLAG` static indicating no filtering.
`static java.lang.Integer` | `PAGENUM_DEFAULT` Default page number for list tables
`static java.lang.Integer` | `PAGESIZE_ALL` Display all items in list
`static java.lang.Integer` | `PAGESIZE_DEFAULT` Default number of rows for list tables
`static java.lang.Integer` | `SORTCOL_DEFAULT` Default sort column for list tables
`static java.lang.String` | `SORTORDER_ASC` ascending sort order for list tables
`static java.lang.String` | `SORTORDER_DEC` ascending sort order for list tables
`static java.lang.String` | `SORTORDER_DEFAULT` default sort order for list tables

Field Detail

### ADDTOLIST_SIZE_DEFAULT

    static final java.lang.Integer ADDTOLIST_SIZE_DEFAULT

  Default size for add to list tables

### AVAILABILITY_DEFAULT_TIMEOUT

    static final long AVAILABILITY_DEFAULT_TIMEOUT

  Availabiity check timeout defaults to 20 seconds

  See Also:
    Constant Field Values

### DEFAULT_CHART_POINTS

    static final int DEFAULT_CHART_POINTS

  Default number of data points to show on chart

  See Also:
    Constant Field Values

### FILTER_BY_DEFAULT

    static final int FILTER_BY_DEFAULT

  Default resource type to return

  See Also:
    Constant Field Values

### MAX_PAGES

    static final java.lang.Integer MAX_PAGES

  the maximum nuber of pages(dots) to be rendered

### NO_FILTER_FLAG

    static final java.lang.String NO_FILTER_FLAG

  static indicating no filtering.

  See Also:
    Constant Field Values

### PAGENUM_DEFAULT

    static final java.lang.Integer PAGENUM_DEFAULT

  Default page number for list tables

### PAGESIZE_ALL

    static final java.lang.Integer PAGESIZE_ALL

  Display all items in list

### PAGESIZE_DEFAULT

    static final java.lang.Integer PAGESIZE_DEFAULT

  Default number of rows for list tables

### SORTCOL_DEFAULT

    static final java.lang.Integer SORTCOL_DEFAULT

  Default sort column for list tables

### SORTORDER_ASC

    static final java.lang.String SORTORDER_ASC

  ascending sort order for list tables

  See Also:
    Constant Field Values

### SORTORDER_DEC

    static final java.lang.String SORTORDER_DEC

  ascending sort order for list tables

  See Also:
    Constant Field Values

### SORTORDER_DEFAULT

    static final java.lang.String SORTORDER_DEFAULT

  default sort order for list tables

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.